Update section
1 min
PATCH
https://{hostname}/1.0/sections/{id}
Path Parameters
- idintegerrequiredExampleDescription
Body Parameters
- bodySectionPartialrequiredDescription
- titlestringExampleDescription
- descriptionstringExampleDescription
- querystringExampleDescription
Responses
200
- ID
- idstringrequiredExampleDescription
404
curl
curl --request PATCH \
--url https://api.usea01.idio.episerver.net/1.0/sections/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'PATCH',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.usea01.idio.episerver.net/1.0/sections/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.usea01.idio.episerver.net/1.0/sections/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.usea01.idio.episerver.net/1.0/sections/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
200
// Section updated.
{
"id": "12345"
}404
// Section does not exist